<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.Toolbar xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/toolbar"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/transparent"
    android:fitsSystemWindows="true"
    android:paddingTop="25dp"
    android:theme="@style/ThemeOverlay.AppCompat.ActionBar"
    android:visibility="visible"
    app:popupTheme="@style/AppBarTheme">

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_marginRight="15dp"
        android:paddingTop="5dp"
        android:paddingRight="12dp"
        android:paddingBottom="5dp"
        android:src="@drawable/icon_back_arrow_white" />

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_gravity="center"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        android:textStyle="bold"
        tools:text="我的课程" />

    <ImageView
        android:id="@+id/tv_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_marginRight="15dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        tools:visibility="visible" />

    <ImageView
        android:id="@+id/tv_right2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_marginRight="25dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/tv_right_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right|center_vertical"
        android:layout_marginRight="15dp"
        android:scaleType="centerCrop"
        android:text=""
        android:textColor="@color/white"
        android:textSize="15sp"
        android:visibility="gone"
        tools:text="右侧标题"
        tools:textColor="@color/white"
        tools:visibility="gone" />

    <RelativeLayout
        android:id="@+id/rl_red_point_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right|center_vertical"
        android:layout_marginRight="15dp"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_right_text_red"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right|center_vertical"
            android:layout_marginTop="4dp"

            android:scaleType="centerCrop"
            android:text=""
            android:textColor="@color/white"
            android:textSize="16sp"
            android:visibility="gone"
            tools:text="右侧标题"
            tools:textColor="@color/white"
            tools:visibility="visible" />
    </RelativeLayout>
</androidx.appcompat.widget.Toolbar>